Bug 151161 - system-config-printer problem with Canon BJC-4200
system-config-printer problem with Canon BJC-4200
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2005-03-15 10:12 EST by Tim Wegener
Modified: 2008-05-06 20:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 20:07:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Requested output from printconf-tui --Xexport (3.31 KB, text/plain)
2005-03-19 02:00 EST, Tim Wegener
no flags Details
system-config-print ' CUPS test page error output (14.59 KB, text/plain)
2005-03-26 00:15 EST, Tim Wegener
no flags Details

  None (edit)
Description Tim Wegener 2005-03-15 10:12:17 EST
Description of problem:
Choosing the automatically configured spool (lp0) in
system-config-printer causes the GUI to stop responding. The printer
is a Canon BJC-4200. It was detected correctly by kudzu at boot up.

Version-Release number of selected component (if applicable):

How reproducible:
Happens every time.

Steps to Reproduce:
1.make sure printer is turned on and has already been detected by
kudzu at bootup
3.select 'lp0' and click 'edit'
Actual results:
(GUI stalls with hourglass persisting. Window can be closed.)
At the console:
No match for parallel port device:
  mfr "Canon"
  model "BJC-4200"
  desc "Canon BJC-4200"
  cmdset "BJ,LQ,BJL,BJRaster,BSCC"
Please report this message in Bugzilla:
Choose 'foomatic' as the component.
Guessing ID Canon-BJC-4200 for match
Traceback (most recent call last):
  File "/usr/share/printconf/util/queueTree.py", line 600, in
    if self.editQueue.editQueueDialog (iter):
  File "/usr/share/printconf/util/editQueue.py", line 414, in
    self.write_driver_options ()
  File "/usr/share/printconf/util/editQueue.py", line 933, in
    data_widget.set_active (int (def_val))
ValueError: invalid literal for int(): True

Expected results:
Edit dialog to appear, and no error messages to appear at the console.

Additional info:
Was able to successfully configure the printer via
http://localhost:631 and successfully print a test page.
Comment 1 Tim Waugh 2005-03-18 09:00:45 EST
Please attach the output of 'printconf-tui --Xexport'.  Thanks.
Comment 2 Tim Wegener 2005-03-19 02:00:01 EST
Created attachment 112147 [details]
Requested output from printconf-tui --Xexport
Comment 3 Tim Waugh 2005-03-21 10:46:31 EST
Clarification of steps to reproduce: I had to enable 'Sheet Feeder' first, then
click OK, then click Edit again.
Comment 4 Tim Waugh 2005-03-23 06:55:55 EST
Please try this test update package:


Does it fix the problem for you?
Comment 5 Tim Wegener 2005-03-26 00:10:44 EST
Thanks! The GUI no longer freezes and brings up the 'Edit' dialog correctly. 

However, when I click 'Apply' and then try to print a test page (with the
default options) it doesn't work. (Even though printing works fine from
I will attach the error output. 
This error went away when I changed 'Ghostscript Bits Per Pixel' from 'CMYK with
FS dithering (24bpp)' to 'Monochrome (1bpp)', and the test page worked fine. 

(I have only a black ink cartridge, so I am using 'Black for for any colour'
'Colors to be used' and 'Greyscale' 'Color Model'. 
Comment 6 Tim Wegener 2005-03-26 00:15:29 EST
Created attachment 112356 [details]
system-config-print ' CUPS test page error output

Note the bad ghostscript parameters. 
This goes away when Ghostscript color model changed to 'Monochrome (1bpp)'
Comment 7 Tim Waugh 2005-03-29 10:01:12 EST
This seems to be a conflict between opt/gimp-print-ijs-color (color model),
which is specific to the gimp-print-ijs driver, and and opt/13 (ghostscript bits
per pixel) which is meant to be generic for any ghostscript driver.

I think there should probably be a constraint of some sort to prevent this.

Till: I hope you don't mind me CCing you on this?  Comment #5 is the beginning
of this foomatic problem.  Is this something that can be fixed by changing the
XML in one or both of those opt/ files?
Comment 8 Matthew Miller 2006-07-10 16:26:58 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 9 Till Kamppeter 2006-07-10 16:50:10 EDT
Gimp-Print and Gutenprint have completely their own options. None of the generic
options should apply to these drivers. If one applies anyway, the XML file for
that generic option needs to be fixed. It needs to be added a constraint for the
option with the sense "false" and the driver name "gimp-print" or "gutenprint".
As the driver name is often versioned, it is perhaps even better to make all
option constraints in the option XML files (except PJL options) never contain
only a printer but also a driver.
Comment 10 Till Kamppeter 2006-07-10 17:07:10 EDT
I see now that Gutenprint and Gimp-Print do not support the BJC-4200, so it
seems that an option of Gimp-Print (gimp-print-ijs-color) is leaking into the
PPD for this printer and the "bjc600" driver. If so, the problem is in
Gimp-Print. But Gimp-Print 4.2.x is not maintained any more. You would have to
patch the Gimp-Print package or update to Gutenprint 5.0.0. I have Gutenprint
5.0.0 here and the problem does not occur with it.
Comment 11 Matthew Miller 2006-07-10 17:10:33 EDT
So, the rawhide tree has gimp-print-4.2.7. I presume that means this is still a
problem, and we should move this to the devel release?
Comment 12 Tim Waugh 2006-07-11 08:04:20 EDT
Comment 13 Bug Zapper 2008-04-03 11:53:45 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 14 Bug Zapper 2008-05-06 20:07:13 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:

Note You need to log in before you can comment on or make changes to this bug.